package com.tigrek.iuea.Aug2018;

import java.awt.Color;
import java.awt.Dimension;
import java.awt.Graphics;
import java.awt.Point;
import java.awt.Rectangle;
import java.awt.event.MouseEvent;

import javax.swing.JPanel;

public class ToolPanel extends JPanel {
	Canvas canvas;
	Rectangle cRect=new Rectangle(0,0,50,50);
	Rectangle rRect=new Rectangle(0,55,50,50);
	Rectangle eRect=new Rectangle(0,110,50,50);
	public static final int OVAL=0;
	public static final int RECT=1;
	public static final int ERASER=2;
	
	int tool=OVAL;
	public ToolPanel(Canvas bp)
	{
		super();
		setLayout(null);
		canvas=bp;
		this.setPreferredSize(new Dimension(55, 600));
	}
	public void paintComponent(Graphics g)
	{
		super.paintComponent(g);
		g.setColor(Color.YELLOW);
		g.fillRect(0,0, 50, 110);

		g.setColor(Color.BLUE);
		g.drawOval(3,3, 50, 50);
		g.drawRect(3,60, 50, 50);
		g.drawRect(3,120, 50, 50);
		g.drawRect(10,130, 30, 10);
		if(tool==OVAL)
		{
			g.fillOval(3,3, 50, 50);
		}else if(tool==RECT)
		{
			g.fillRect(3,60, 50, 50);
		}else if(tool==ERASER)
		{
			g.fillRect(3,120, 50, 50);
			g.setColor(Color.CYAN);
			g.fillRect(10,130, 30, 10);
		}

	}
	public int getTool(Point p)
	{
		if(cRect.contains(p.x, p.y))
		{
			tool=OVAL;
			return OVAL;

		}else if (rRect.contains(p.x, p.y))

		{	
			tool=RECT;
			return RECT;
		}else if (eRect.contains(p.x, p.y))

		{	
			tool=ERASER;
			return ERASER;
		}
		repaint();
		return -1;
	}
	public void mouseC(MouseEvent e)
	{
		System.out.println("Tools");
		Point ploc=e.getPoint();
		tool=getTool(ploc);
		canvas.setTool(tool);
		if(tool==OVAL)
		{
			System.out.println("OVAL");
		}else if(tool==RECT)
		{
			System.out.println("RECT");
		}
		repaint();
	}
	public void printRect(Rectangle r)
	{
		//System.out.println("RECT "+r.x+" "+r.y+" "+r.width+" "+r.height);
	}
}